GNU bug report logs - #39891
26.3; C++ indenting error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: altlockg@HIDDEN; Done: Alan Mackenzie <acm@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 39891-done <at> debbugs.gnu.org:


Received: (at 39891-done) by debbugs.gnu.org; 2 Apr 2020 17:58:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 13:58:37 2020
Received: from localhost ([127.0.0.1]:40732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jK46v-00009C-8C
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 13:58:37 -0400
Received: from colin.muc.de ([193.149.48.1]:36299 helo=mail.muc.de)
 by debbugs.gnu.org with smtp (Exim 4.84_2)
 (envelope-from <acm@HIDDEN>) id 1jK46s-00008l-F3
 for 39891-done <at> debbugs.gnu.org; Thu, 02 Apr 2020 13:58:35 -0400
Received: (qmail 78584 invoked by uid 3782); 2 Apr 2020 17:58:32 -0000
Received: from acm.muc.de (p4FE15C1A.dip0.t-ipconnect.de [79.225.92.26]) by
 colin.muc.de (tmda-ofmipd) with ESMTP;
 Thu, 02 Apr 2020 19:58:29 +0200
Received: (qmail 7123 invoked by uid 1000); 2 Apr 2020 17:58:30 -0000
Date: Thu, 2 Apr 2020 17:58:30 +0000
To: 39891-done <at> debbugs.gnu.org
Subject: Re: bug#39891: 26.3; C++ indenting error
Message-ID: <20200402175830.GA9611@ACM>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Delivery-Agent: TMDA/1.1.12 (Macallan)
From: Alan Mackenzie <acm@HIDDEN>
X-Primary-Address: acm@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39891-done
Cc: altlockg@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

close 39891 27.1
quit

Closing the bug, which had already been fixed for Emacs 27.1.

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39891; Package emacs. Full text available.
bug marked as fixed in version 27.1, send any further explanations to 39891 <at> debbugs.gnu.org and altlockg@HIDDEN Request was from Alan Mackenzie <acm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39891 <at> debbugs.gnu.org:


Received: (at 39891) by debbugs.gnu.org; 7 Mar 2020 11:05:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 07 06:05:41 2020
Received: from localhost ([127.0.0.1]:46293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jAXH2-0005hx-6L
	for submit <at> debbugs.gnu.org; Sat, 07 Mar 2020 06:05:41 -0500
Received: from colin.muc.de ([193.149.48.1]:60178 helo=mail.muc.de)
 by debbugs.gnu.org with smtp (Exim 4.84_2)
 (envelope-from <acm@HIDDEN>) id 1jAXH0-0005ho-NF
 for 39891 <at> debbugs.gnu.org; Sat, 07 Mar 2020 06:05:39 -0500
Received: (qmail 94717 invoked by uid 3782); 7 Mar 2020 11:05:37 -0000
Received: from acm.muc.de (p4FE15C0D.dip0.t-ipconnect.de [79.225.92.13]) by
 colin.muc.de (tmda-ofmipd) with ESMTP;
 Sat, 07 Mar 2020 12:05:35 +0100
Received: (qmail 7320 invoked by uid 1000); 7 Mar 2020 11:05:35 -0000
Date: Sat, 7 Mar 2020 11:05:35 +0000
To: altlockg@HIDDEN
Subject: Re: bug#39891: 26.3; C++ indenting error
Message-ID: <20200307110535.GA7219@ACM>
References: <874kv5ksn1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <874kv5ksn1.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Delivery-Agent: TMDA/1.1.12 (Macallan)
From: Alan Mackenzie <acm@HIDDEN>
X-Primary-Address: acm@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39891
Cc: 39891 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello, altlockg

On Tue, Mar 03, 2020 at 22:58:26 +0100, altlockg@HIDDEN wrote:

> I was trying to reindent my file, but got the error, visible in the
> recent messages below.

Thanks for taking the trouble to report this bug.

> I tracked it down to a single line, line 34 of the following file:
> https://pastebin.com/kVJATcsF
> The line containing "rec.x + rec.width - MOUSE_SCALE_MARK_SIZE, ",
> to be exact.
> When I remove the newline before this line, the issue does not occur.

The bug has actually already been fixed in the CC Mode and Emacs
repositories, although the fix hasn't yet appeared in a released
version.

> I wouldn't have a clue on how to dig deeper, so that's why I'm sending
> you this report. If it helps, my configuration is available here:
> https://github.com/Altlock/EmacsDots

What is happening is that the older CC Mode isn't recognising the brace
on L33 as a block containing data fields, and tries to parse it as
though it contained statements.  It thus gets horribly confused.

To get your CC Mode working until our next release happens, would you
please apply the following patch to .../lisp/progmodes/cc-engine.el in
your Emacs 26.3:


diff -r 26668f1829ba -r cc69c3edb59b cc-engine.el
--- a/cc-engine.el	Fri Nov 10 17:28:29 2017 +0000
+++ b/cc-engine.el	Fri Nov 10 17:32:55 2017 +0000
@@ -12558,7 +12558,11 @@
 			    (save-excursion
 			      (goto-char containing-sexp)
 			      (c-looking-at-special-brace-list)))
-		       (c-inside-bracelist-p containing-sexp paren-state t))))
+		       (c-inside-bracelist-p containing-sexp paren-state t)
+		       (save-excursion
+			 (goto-char containing-sexp)
+			 (and (eq (char-after) ?{)
+			      (not (c-looking-at-statement-block)))))))
 	(cond
 
 	 ;; CASE 9A: In the middle of a special brace list opener.


Then, please byte-compile cc-engine.el, and replace the current
cc-engine.elc with the one you've just built.  This should fix the bug.
(If you want any help with applying the patch or byte compiling, feel
free to send me personal email.)

> Thank you for your time.

Again, thank you for the report.


> In GNU Emacs 26.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.10)
>  of 2019-08-29 built on juergen
> Windowing system distributor 'The X.Org Foundation', version 11.0.12007000

[ .... ]

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39891; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Mar 2020 22:04:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 03 17:04:23 2020
Received: from localhost ([127.0.0.1]:40102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j9FeI-0002cS-I1
	for submit <at> debbugs.gnu.org; Tue, 03 Mar 2020 17:04:23 -0500
Received: from lists.gnu.org ([209.51.188.17]:55545)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <altlockg@HIDDEN>) id 1j9FYv-0002Sq-Ii
 for submit <at> debbugs.gnu.org; Tue, 03 Mar 2020 16:58:50 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:47849)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <altlockg@HIDDEN>) id 1j9FYt-0005xm-M8
 for bug-gnu-emacs@HIDDEN; Tue, 03 Mar 2020 16:58:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <altlockg@HIDDEN>) id 1j9FYr-00045e-Ev
 for bug-gnu-emacs@HIDDEN; Tue, 03 Mar 2020 16:58:47 -0500
Received: from mail-wr1-x444.google.com ([2a00:1450:4864:20::444]:46922)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <altlockg@HIDDEN>) id 1j9FYr-00044a-3Y
 for bug-gnu-emacs@HIDDEN; Tue, 03 Mar 2020 16:58:45 -0500
Received: by mail-wr1-x444.google.com with SMTP id j7so6329448wrp.13
 for <bug-gnu-emacs@HIDDEN>; Tue, 03 Mar 2020 13:58:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=K7FoluNcMmBwVq3Mv15DitO4ooJgo2VtN0Y2cPoABVU=;
 b=mj69Zcp9FpWTSepi63u+8OuLMNsn8rcTKYuunG7sUmiyvN3X9PO7UtE7FhpbD1e3rV
 w6tSLEAjL056QMYkMOBIroTuEmObBX+K8rV+A+iQoBn/StkHrWjhACqea0VsjM1p0ll4
 hCjSa++qqGE1bKXE69RtqiXQsmTf50IFm9hIRwsUf9mOqGhyNTtXMvKLX+FI9wxGAOyp
 fKgJXllVFL+/gfuwXrAFW8V7SPqm8iQu6rSi/UpMzISLqfAReCZjFuWfPkbAAwwJxuCB
 uzQDt2djLUAo97he9XPuno2jvTEj9bJIC1b1UUf7ZftVNQFFOf+q3ennjXgxUAIGKBkR
 d1LQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=K7FoluNcMmBwVq3Mv15DitO4ooJgo2VtN0Y2cPoABVU=;
 b=hLtGhkRVnDs0V/eWNn4jdGiwCqlb/LvPDzLYmCl5YRYjmSJqj8TiU6scKbCu6NzvGq
 vkiTG8l1sGBz3vyUpChJn6CoG50H8VtYgpD3P58Gxc9sl04Ih5cUS6t85Us56ZzLu6dR
 LONzYxjuJHSAzMSdgpTgor4+GFwgY2uIYI5ck9a59vKd2VCPmcBzv2UpVkXA7GQ8Kpef
 O0id6YDezcW6A48IfAO6beLDZGttYLs5Ac/CPiUaADGh6flcXictiB3bbgzKltwces9A
 f8971sACyAem6eqwb3s3eJ0PdqWnClO9GrTAM1+czkMkix2xYjn0h2oBVBuc1c7QhzE7
 F/nA==
X-Gm-Message-State: ANhLgQ20iXK+fF5weInSvwXUIQBm03iJAKU/HmKFMG5Gt0+iGafqQyX5
 IU5IERO162jhKcZ0da/qnhYBGZhW700=
X-Google-Smtp-Source: ADFU+vssE6KAw0m0baoQoIYsrC+0B94AI2iYthkZtL5He3rRYZ0r4WFOdshrxiCfwleQYIv9p0SWjA==
X-Received: by 2002:a5d:61c8:: with SMTP id q8mr77895wrv.415.1583272722869;
 Tue, 03 Mar 2020 13:58:42 -0800 (PST)
Received: from js ([145.87.232.157])
 by smtp.gmail.com with ESMTPSA id f6sm2994036wrw.4.2020.03.03.13.58.42
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 03 Mar 2020 13:58:42 -0800 (PST)
From: altlockg@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 26.3; C++ indenting error
Date: Tue, 03 Mar 2020 22:58:26 +0100
Message-ID: <874kv5ksn1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::444
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 03 Mar 2020 17:04:21 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


I was trying to reindent my file, but got the error, visible in the
recent messages below.

I tracked it down to a single line, line 34 of the following file:
https://pastebin.com/kVJATcsF
The line containing "rec.x + rec.width - MOUSE_SCALE_MARK_SIZE, ",
to be exact.
When I remove the newline before this line, the issue does not occur.

I wouldn't have a clue on how to dig deeper, so that's why I'm sending
you this report. If it helps, my configuration is available here:
https://github.com/Altlock/EmacsDots

Thank you for your time.


In GNU Emacs 26.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.10)
 of 2019-08-29 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12007000
Recent messages:
Wrote /home/jan/Programming/Raydraw/2.cpp
c-guess-basic-syntax: Wrong type argument: integer-or-marker-p, nil [3 times]
Saving file /home/jan/Programming/Raydraw/2.cpp...
Wrote /home/jan/Programming/Raydraw/2.cpp
evil-forward-char: End of line [2 times]
Saving file /home/jan/Programming/Raydraw/2.cpp...
Wrote /home/jan/Programming/Raydraw/2.cpp
c-guess-basic-syntax: Wrong type argument: integer-or-marker-p, nil [11 times]
Saving file /home/jan/Programming/Raydraw/2.cpp...
Wrote /home/jan/Programming/Raydraw/2.cpp
c-guess-basic-syntax: Wrong type argument: integer-or-marker-p, nil
Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-modules
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt'
 CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: C++//l

Minor modes in effect:
  flycheck-mode: t
  show-paren-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  global-origami-mode: t
  origami-mode: t
  electric-pair-mode: t
  global-hl-line-mode: t
  ivy-mode: t
  global-color-identifiers-mode: t
  color-identifiers-mode: t
  global-aggressive-indent-mode: t
  aggressive-indent-mode: t
  rainbow-delimiters-mode: t
  global-company-mode: t
  company-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  shell-dirtrack-mode: t
  evil-mode: t
  evil-local-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny rfc822 mml mml-sec epa
derived epg gnus-util rmail mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail smex cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
ffap counsel xdg compile swiper powerline powerline-separators flycheck
cl-extra help-mode subr-x init org-rmail org-mhe org-irc org-info
rmail-loaddefs rfc2047 rfc2045 ietf-drums mail-utils mm-util mail-prsvr
wid-edit org-docview doc-view jka-compr image-mode dired dired-loaddefs
org-bibtex bibtex org-bbdb org-w3m two-column rebecca-theme paren
display-line-numbers origami origami-parsers cl s company-oddmuse
company-keywords company-etags etags xref project company-gtags
company-dabbrev-code company-dabbrev company-files company-capf
company-cmake company-xcode company-clang company-semantic company-eclim
company-template company-bbdb company-c-headers rx elec-pair hl-line ido
ivy flx delsel colir ivy-overlay color-identifiers-mode python tramp-sh
tramp tramp-compat tramp-loaddefs trampver ucs-normalize parse-time json
map dash color powerline-themes aggressive-indent rainbow-delimiters
cal-iso org-agenda org-element avl-tree generator org org-macro
org-footnote org-pcomplete org-list org-faces org-entities noutline
outline easy-mmode org-version ob-emacs-lisp ob ob-tangle org-src ob-ref
ob-lob ob-table ob-keys ob-exp ob-comint ob-core ob-eval org-compat
org-macs org-loaddefs format-spec find-func cal-menu calendar
cal-loaddefs modeConfig company-tng company pcase keybindings vi.el evil
evil-keybindings evil-integration undo-tree diff evil-maps evil-commands
reveal flyspell ispell evil-jumps evil-command-window evil-types
evil-search evil-ex shell pcomplete comint ansi-color evil-macros
evil-repeat evil-states evil-core advice evil-common windmove thingatpt
rect evil-digraphs evil-vars ring edmacro kmacro packages finder-inf
info package easymenu epg-config url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache url-vars
seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 572801 132993)
 (symbols 48 46411 2)
 (miscs 40 159 518)
 (strings 32 142665 11219)
 (string-bytes 1 4333844)
 (vectors 16 69926)
 (vector-slots 8 1188064 114920)
 (floats 8 538 1417)
 (intervals 56 1374 1955)
 (buffers 992 14))




Acknowledgement sent to altlockg@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39891; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 2 Apr 2020 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.